Errors trying to install or upgrade plugins or themes

Please note the question isn't just about one plugin. I just put the one above as it was required field.

I can't install or update any plugins. They are all getting the following error.

An error occurred while updating E-Newsletter: The package could not be installed. PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature.

That was trying to update enewsletter plugin. I tried uninstalling the wpmu dev dashboard and reinstalling. It will not let me install it. Get the same error.

Thanks for your help!